###Menu
mostrar_menu:
  url:   /departamento/:depto/mostrar/opciones/menu/
  param: { module: utiles, action: mostrarMenu, depto: multimedia }

###Clientes Servicios
#GASTOS
definir_gastos:
  url:   /departamento/:depto/definir/gastos/*
  param: { module: clienteservicio, action: definirGastos, depto: multimedia }

definir_gastos_print:
  url:   /departamento/:depto/imprimir/dia/print/:print/gastos.doc/*
  param: { module: clienteservicio, action: definirGastos, print: 1, depto: multimedia }

editar_gasto_fijo:
  url:   /editar/gasto/fijo/departamento/:depto/*
  param: { module: clienteservicio, action: editarGasto, depto: multimedia }

editar_porciento_gasto:
  url:   /editar_porciento_pago/departamento/:depto/*
  param: { module: clienteservicio, action: editarPorcientoPago, depto: multimedia }
  
salvar_gastos:
  url:   /departamento/:depto/salvar/gastos/*
  param: { module: clienteservicio, action: salvarGastos, depto: multimedia }

eliminar_gastos:
  url:   /departamento/:depto/eliminar/gastos/*
  param: { module: clienteservicio, action: eliminarGastos, depto: multimedia }

#PERIODOS
datos_periodo:
  url:   /departamento/:depto/datos/periodo/*
  param: { module: clienteservicio, action: datosPeriodo, depto: multimedia }

ver_periodo_contable:
  url:   /departamento/:depto/periodo/ver/*
  param: { module: clienteservicio, action: verPeriodo, depto: multimedia }

select_periodo_contable:
  url:   /departamento/:depto/seleccionar/periodo/contable/*
  param: { module: clienteservicio, action: periodoSel, depto: multimedia }

select_especialista:
  url:   /departamento/:depto/seleccionar/especialista/*
  param: { module: clienteservicio, action: especialistaSel, depto: multimedia }

select_periodo:
  url:   /departamento/:depto/cargar/select/periodo/contable/*
  param: { module: clienteservicio, action: cargarSelectPeriodo, depto: multimedia }

calcular_fechas:
  url:   /departamento/:depto/calcular/fechas/*
  param: { module: clienteservicio, action: calcularFechas, depto: multimedia }

salvar_periodo:
  url:   /departamento/:depto/periodo/salvar/*
  param: { module: clienteservicio, action: salvarPeriodo, depto: multimedia }

eliminar_periodo:
  url:   /departamento/:depto/gastos/eliminar/*
  param: { module: clienteservicio, action: eliminarPeriodo, depto: multimedia }

cerrar_periodo_contable:
  url:   /departamento/:depto/gasto/cerrar/periodo/*
  param: { module: clienteservicio, action: cerrarPeriodoContable, depto: multimedia }

#PERIODOS CONTABLES
periodo_contable:
  url:   /departamento/:depto/periodos/contables/*
  param: { module: clienteservicio, action: periodoContable, depto: multimedia }

#SERVICIOS
descuento:
  url:   /departamento/:depto/devolucion/servicio/*
  param: { module: clienteservicio, action: devolucion, depto: multimedia }

seleccionar_cliente:
  url:   /departamento/:depto/seleccionar/cliente/*
  param: { module: clienteservicio, action: seleccionarCliente, depto: multimedia }

buscador_cliente:
  url:   /departamento/:depto/buscador/clientes/*
  param: { module: clienteservicio, action: buscador, depto: multimedia }

buscar_cliente:
  url:   /departamento/:depto/buscar/clientes/*
  param: { module: clienteservicio, action: buscar, depto: multimedia }

mano_obra:
  url:   /departamento/:depto/mano/obra/mecanico/*
  param: { module: clienteservicio, action: manoObra, depto: multimedia }

eliminar_cliente_servicio:
  url:   /departamento/:depto/eliminar/servicio/*
  param: { module: clienteservicio, action: eliminarServicio, depto: multimedia }

pago_cliente_servicio:
  url:   /departamento/:depto/pagar/servicio/*
  param: { module: clienteservicio, action: pagarServicio, depto: multimedia }

editar_cliente_servicio:
  url:   /departamento/:depto/editar/clientes/y/servicios/*
  param: { module: clienteservicio, action: editar, depto: multimedia }

ver_datos_modelo_servicio:
  url:   /departamento/:depto/ver/datos/modelo/servicio/*
  param: { module: clienteservicio, action: verDatosModeloServicio, depto: multimedia }

cerrar_periodo_servicio:
  url:   /departamento/:depto/servicio/cerrar/periodo/*
  param: { module: clienteservicio, action: cerrarPeriodo, depto: multimedia }

generar_nuevo_cliente:
  url:   /departamento/:depto/generar/nuevo/cliente/*
  param: { module: clienteservicio, action: generarcliente, depto: multimedia }

otros_datos_cliente:
  url:   /departamento/:depto/otros/datos/cliente/*
  param: { module: clienteservicio, action: datosCliente, depto: multimedia }

ver_ficha_cliente:
  url:   /departamento/:depto/ficha/cliente/:op/*
  param: { module: clienteservicio, action: ficha, op: ver, depto: multimedia }

ver_garantia:
  url:   /departamento/:depto/garantia/cliente/:op/*
  param: { module: clienteservicio, action: garantia, op: ver, depto: multimedia }

clientes:
  url:   /departamento/:depto/buscador/de/clientes/*
  param: { module: clienteservicio, action: clientes, depto: multimedia }

configurar_especialistas:
  url:   /departamento/:depto/porciento/pago/especialistas/*
  param: { module: clienteservicio, action: configurarEspecialista, depto: multimedia }

ver_pago_mecanico:
  url:   /departamento/:depto/pago/mecanico/*
  param: { module: clienteservicio, action: mecanico, depto: multimedia}

ver_pago_mecanico_print:
  url:   /departamento/:depto/imprimir/dia/periodo/:periodo_id/mecanico/:idMec/print/:print/pagoMecanicos.doc/*
  param: { module: clienteservicio, action: mecanico, depto: multimedia, print: 1, periodo_id: 1, idMec: 0 }

devolucion_mecanico:
  url:   /departamento/:depto/devolucion/mecanico/servicio/*
  param: { module: clienteservicio, action: devolucionMecanico, depto: multimedia }

inventario_existencia_modelos:
  url:   /departamento/:depto/existencia_modelos/*
  param: { module: inventario, action: existencia, depto: multimedia }

inventario_existencia_modelos_navegacion:
  url:   /departamento/:depto/existencia_navegacion_modelos/*
  param: { module: inventario, action: existenciaNavegacion, depto: multimedia }

inventario_existencia_modelos_navegacion_todo:
  url:   /departamento/:depto/existencia_todo_navegacion_modelos/*
  param: { module: inventario, action: existenciaNavegacionTodo, depto: multimedia }

cliente_servicio_print:
  url:   /departamento/:depto/imprimir/dia/periodo_id/:periodo_id/print/:print/fechaSel/:fechaSel/servicios.doc/*
  param: { module: clienteservicio, action: index, fechaSel: '0000-00-00', depto: multimedia, print: 1, periodo_id: 1 }

lic:
  url:   /departamento/:depto/system/out/of/date/*
  param: { module: setup, action: outOffDate, depto: multimedia }

porciento_pago_mecanico:
  url:   /porciento/pago/mecanico/departamento/:depto/*
  param: { module: clienteservicio, action: porcientoPago, depto: multimedia }

descuento_mecanico:
  url:   /departamento/:depto/descontar/mecanico/*
  param: { module: clienteservicio, action: descuentoMecanico, depto: multimedia }

###Mecanico
mecanico:
  url:   /departamento/:depto/mecanicos/*
  param: { module: mecanico, action: index, depto: multimedia }

###Modelos
editar_modelo:
  url:   /departamento/:depto/editar/modelo/*
  param: { module: modelo, action: editar, depto: multimedia }

editar_precio_modelo:
  url:   /departamento/:depto/editar/precio/modelos/*
  param: { module: modelo, action: editarPrecio, depto: multimedia }

eliminar_modelo:
  url:   /eliminar/modelo/departamento/:depto/*
  param: { module: modelo, action: eliminar, depto: multimedia }

en_falta:
  url:   /definir/en/falta/departamento/:depto/*
  param: { module: modelo, action: enFalta, depto: multimedia }

obtener_nodos_modelo:
  url:   /obtener/nodos/modelo/departamento/:depto/*
  param: { module: modelo, action: obtenerNodosModelo, depto: multimedia }

listado_modelos:
  url:   /listado/modelos/departamento/:depto/*
  param: { module: modelo, action: listado }

select_tag_modelo:
  url:   /get/select/tag/modelos/departamento/:depto/*
  param: { module: codificador, action: listaModelo, depto: multimedia }

select_tag_modelo_equipo:
  url:   /select/tag/modelos/equipos/departamento/:depto/*
  param: { module: codificador, action: listaModeloEquipo, depto: multimedia }

modelos_partial:
  url:   /partial/lista/modelos/departamento/:depto/*
  param: { module: configuracion, action: listaModelos, depto: multimedia }

get_precio_costo_modelo:
  url:   /get/precio/costo/modelo/departamento/:depto/*
  param: { module: modelo, action: getPrecioCosto, depto: multimedia }

modelos:
  url:   /departamento/:depto/modelos/*
  param: { module: modelo, action: index, depto: multimedia }

ver_foto_modelo:
  url:   /departamento/:depto/ver/fotos/modelo/*
  param: { module: modelo, action: verFoto, depto: multimedia }

exportar_modelos_pdf:
  url:   /departamento/:depto/exportar/pdf/modelos/*
  param: { module: modelo, action: exportarPdf, depto: multimedia }

exportar_modelos_word:
  url: /plantilla/exportar/word/*
  param: { module: modelo, action: plantillaExportarWord, depto: multimedia }

plantilla_word:
  url:   /departamento/:depto/exportar/word/modelos/*
  param: { module: modelo, action: exportarWord, depto: multimedia }

###Configuracion
editar_tipo_modelo:
  url:   /departamento/:depto/editar/tipo/modelo/*
  param: { module: configuracion, action: editarTipoModelo }

eliminar_tipo_modelo:
  url:   /departamento/:depto/eliminar/tipo/modelo/*
  param: { module: configuracion, action: eliminarTipoModelo, depto: multimedia }

editar_marca:
  url:   /departamento/:depto/editar/marca/*
  param: { module: configuracion, action: editarMarca, depto: multimedia }

eliminar_marca:
  url:   /departamento/:depto/eliminar/marca/*
  param: { module: configuracion, action: eliminarMarca, depto: multimedia }

editar_producto:
  url:   /departamento/:depto/editar/producto/*
  param: { module: configuracion, action: editarProducto, depto: multimedia }

eliminar_producto:
  url:   /departamento/:depto/eliminar/producto/*
  param: { module: configuracion, action: eliminarProducto, depto: multimedia }

configuracion:
  url:   /departamento/:depto/modificar/configuracion/*
  param: { module: configuracion, action: index, depto: multimedia }

marcas:
  url:   /departamento/:depto/marcas/listado/*
  param: { module: configuracion, action: indexMarcas, depto: multimedia }

productos:
  url:   /departamento/:depto/productos/listado/*
  param: { module: configuracion, action: indexProductos, depto: multimedia }

cambiar_orden_producto_marca:
  url:   /departamento/:depto/cambiar/orden/*
  param: { module: configuracion, action: cambiarOrden, depto: multimedia }

orden_alfa_producto_marca:
  url:   /departamento/:depto/orden/alfabetico/*
  param: { module: configuracion, action: ordenAlfabetico, depto: multimedia }

tipos_modelos:
  url:   /departamento/:depto/tipos/modelos/listado/*
  param: { module: configuracion, action: indexTiposModelos, depto: multimedia }

###Reportes
reportes_buscar:
  url:   /departamento/:depto/reportes/buscar/*
  param: { module: reporte, action: buscar, depto: multimedia }

reportes:
  url:   /departamento/:depto/reportes/*
  param: { module: reporte, action: index, depto: multimedia }

cliente_servicio:
  url:   /departamento/:depto/*
  param: { module: clienteservicio, action: index, depto: multimedia }

####################################################
###             sfGuardUser Roules               ###
####################################################

signin:
  url:   /login/*
  param: { module: sfGuardAuth, action: signin }

signout:
  url:   /salir/*
  param: { module: home, action: signout }
  ###param: { module: sfGuardAuth, action: signout }

cambiar_usuario:
  url:   /cambiar/usuario
  param: { module: utiles, action: cambiarUsuario }

sf_guard_password:
  url:   /request_password
  param: { module: sfGuardAuth, action: password }


# default rules
homepage:
  url:   /
  param: { module: home, action: index }

cambiar_depto:
  url:   /cambiar/departamento/:depto
  param: { module: home, action: cambiarDepartamento }
  
administracion:
  url:   ../backend.php
  param: { module: empresa, action: index}

espiral:
  url:   ../espiral.php/
  param: { module: home, action: index, depto: multimedia }
  
default_symfony:
  url:   /symfony/:action/*
  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*
